LocatorScheme

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.spi.selection
Class LocatorScheme

    java.lang.Object
      org.dvb.spi.selection.LocatorScheme

    public class LocatorScheme

extends Object

This class is used to represent a locator scheme that is supported by a SelectionProvider.

Since:
  MHP 1.1.3

Constructor Summary
`LocatorScheme(String scheme, boolean providerFirst)` Construct a LocatorScheme.

Method Summary
`boolean` | `getProviderFirst()` Returns whether the provider is to handle the scheme before any platform handler for the scheme.
`String` | `getScheme()` Returns the scheme.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocatorScheme

    public LocatorScheme(String scheme,
                         boolean providerFirst)

  Construct a LocatorScheme.

  Parameters:
    `scheme` - the name of the locator scheme which is handled, not including the ":" character
    `providerFirst` - true if this provider shall handle the scheme before any handler in the platform implementation, false if this provider shall handle the scheme after any handler in the platform implementation and only for locators not handled by the platform implementation.

Method Detail

### getScheme

    public String getScheme()

  Returns the scheme.

  Returns:
    scheme the name of the locator scheme which is handled, not including the ":" character

### getProviderFirst

    public boolean getProviderFirst()

  Returns whether the provider is to handle the scheme before any platform handler for the scheme.

  Returns:
    true if this provider shall handle the scheme before any handler in the platform implementation, false if this provider shall handle the scheme after any handler in the platform implementation and only for locators not handled by the platform implementation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD